*
{
    -webkit-tap-highlight-color: transparent;
    outline: none;
}
body{ 
    margin: 0;
    background: radial-gradient(circle at center,  #d9dddd, #ECF0F1 );
    font-family: 'Montserrat';
    
}
@font-face {
    font-family: 'Montserrat'; 
    src: url("../Tipografia/static/Montserrat-Bold.ttf") format("truetype"); 
    font-weight: bold; 
    font-style: normal;
}
.body__header
{
    position: sticky;
    top: -.5%;
    user-select: none;
    z-index: 1000;
    box-sizing: border-box;
    background: radial-gradient(circle at center,  #d9dddd, #ECF0F1 );
    box-shadow: 0px 0px 40px 10px #0007;
    color: #E5E5E5;
}
.header__nav
{
    display: flex;
    font-size: 1em;
    box-sizing: border-box;
    flex-flow: row nowrap;
    flex-shrink: 1;
    z-index: 20;
    align-items: center;
    gap: 20%;
    font-weight: normal;
}
.nav__logo{
    flex-grow: 1;
    box-sizing: border-box;
    line-height: 1;
    margin: 0;
    padding: 0;
}
.logo__img
{
    width: 11em;
    user-select: none;
    padding: 0.5em 0 0.5em 0em ;
    cursor: pointer;
    margin: 0;
    margin-left: 4em;
}
.nav__links
{
    flex-grow: 2;
    padding: 2%;
    display: flex;
    overflow: hidden;
    box-sizing: border-box;
    align-items: center;
    justify-content: center;
    flex-flow: row wrap;
    gap: 5%;
}
.links__elementos{
    text-decoration: none;
    text-transform: uppercase; 
    color: #121212; 
    transition: all ease 0.5s;
    user-select: none; 
}
.links__elementos:hover
{
    color: #01015f;
    text-shadow: 0 0 1px #f88;
}
.links__elementos::before
{
    content: "|";
    text-shadow: none;
    color: #01015f; 
    font-size: x-large;
    font-weight: normal;
    position: relative;
    margin: 0;
    left: -1vw;
}
.nav__boton
{
    display: none;
    margin-right: 10%;
    transition: all ease 0.3s;
    padding: 1% 3%;
    border-radius: 100em;
    color: #121212;
    background-color: transparent;
    border: none;
    font-size:xx-large;
}
.nav__boton:active
{
    background-color: #01015f88;
}
.nav__menu
{
    display: none;
    justify-content: center;
    align-items: center;
    height: 150%;
    width: 100%;
    position: absolute;
    z-index: 50;
    flex-grow: 1;
    background: radial-gradient(circle at center,  #d9dddd, #ECF0F1 );
    overflow: hidden;
}
.menu__links
{
    display: flex;
    gap: 2em;
    font-size: x-large;
    flex-direction: column;
    margin-left: 2%;
    margin-bottom: 90%;
}
/*
Aqui acaba el css del header y nav. Empieza el css del contenido
*/
.chat
{
    display: none;
    position: fixed;
    margin: auto;
    min-width: 200px;
    width: 20vw;
    max-height: 400px;
    height: 60vh;
    z-index: 30;
    bottom: 5%;
    right: 0%;
    flex-direction: column;
    border-radius: 5px 0 0px 5px;
    box-sizing: border-box;
    background-color: #E5E5E5;
    border: #2E2E2E 2px solid;
}
#chat-header
{
    background-color: #dddddd;
    display: flex;
    margin: 0%;
    border-bottom: #2E2E2E 1px solid;
    justify-content:space-between;
    padding: 0 0px 0 10px;
}
#soporte
{
    font-size: large;
    font-weight: bold;
}
#chat-messages 
{
    padding:0;
    margin: 0;
    flex-grow: 1;
    font-size: small;
    overflow-y:scroll;
    scrollbar-width:none;
    white-space: normal; 
    overflow-x: hidden;  
    word-wrap: break-word; 
    word-break: break-word;
}
.message__usuario
{
    color:#2E2E2E;
    background-color: #787e812c;
    border-radius: 10px 0 0 10px;
    padding: 4px;
    align-self: flex-end;
    display: block;
    width: fit-content;
    box-sizing: border-box;
    border: #2E2E2E 1px solid;
    margin: 0 0 3px 3px;
}
.message__soporte
{
    color:#2E2E2E;
    background-color: #0ea4e92c;
    border-radius: 0 10px 10px 0;
    padding: 4px;
    display: block;
    width: fit-content;
    align-self: flex-start;
    box-sizing: border-box;
    border: #2E2E2E 1px solid;
    margin: 0 3px 3px 0;
}
.li__hora
{
    color: #666;
    font-size: xx-small;
    text-align: end;
    text-decoration: dashed;
}
#messages
{
    font-style: normal;
    list-style-type: none;
    padding: 0 .2vw 0 0vw;
    display: inline-flex;
    flex-direction: column;
    width: 100%;
}
#chat-form
{
    display: flex;
    height: 10%;
    box-sizing: border-box;
    min-height: 2em;
    border-top: #2E2E2E 2px solid;
}

#chat-input
{
    border: none;
    border-radius: 0;
}
#chat__button
{
    border: none;
    border-left: #2E2E2E 1px solid;
    color: #01015f;
    cursor: pointer;
}
#chat-input
{
    flex-grow: 1;
}
.chat__button
{
    background: none;
    color: #3b3b3b;
    border: none;
    font-weight: bolder;
    font-size: large;
    cursor: pointer;
    padding: 0 10px 0 10px;
}
.body_boton
{
    position: fixed;
    bottom: 10%;
    right: 1%;
    border-radius: 50%;
    width: 3%;
    height: 6%;
    display: none;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 30;
}
.boton--img
{
    width: 10vw;
    height: 10vh;
}
.body__article
{
    background-image: url(../imagenes/fondoIMG.png);
    background-position: center;
    color: #E5E5E5;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
.article__aside
{
    flex-grow: 1;
    display: flex;
    background-color: #2e2e2ec2;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}
.aside__h1{
    text-transform: uppercase;
    font-size: 4.5em;
    padding: 0% 2%;
    text-shadow: 0 0 2px rgb(160, 159, 159);
    font-weight: bolder;
    letter-spacing: 5px;
    margin-bottom: 2px;
}
.aside__p
{
    font-size: medium;
    text-align: center;
    padding: 0% 2%;
    font-weight: 600;
    text-shadow: 0 0 2px rgb(160, 159, 159);
}

.body__article2 , .body__article3 
{
    background: radial-gradient(circle at center,  #d9dddd, #ECF0F1 );
    color: #2E2E2E;
    position: static;
    display: flex;
    flex-grow: 1;
    width: 100%;
    gap: 1em;
    overflow: hidden;
    box-sizing: border-box;
    padding: 4% 12%;
    z-index: 0;
    flex-direction: column;
}
.aside__seccion
{
    border-bottom: #2E2E2E solid 3px !important;
    max-width: 30%;
    border-radius: 20em;
    min-width: 20em;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    
}
.body__article3 
{
    background: radial-gradient(circle at center,  #2E2E2E, #121212)!important;
    gap: 1em;
}
.article__h2
{
    color: #E5E5E5;
    margin-left: 2%;
    text-shadow: 0 0 2px rgb(160, 159, 159);
}
.article3__aside , .article4__aside
{
    display: flex;
    flex-grow: 1;
    flex-direction: row;
    gap: 2em;
}
#textolargo
{
    margin-top: 2.2em;
}
.aside__div
{
    display: flex;
    flex: 1;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.ajuste{
    margin-bottom: 3px;
}
#ajuste2
{
    font-size: small;
}
.div__img
{
    width: 20em;
    border-radius: 2em;
    box-shadow: 0px 0px 10px 0px #e5e5e53d;
}
.p--blanco
{
    color: #E5E5E5;
    font-size: 1em;
}
.aside__button
{
    background: linear-gradient(145deg, #0f6c94, #01015f);
    color: #f5f5f5;
    font-size: 1.2rem;
    user-select: none;
    font-weight: bold;
    padding: 15px 30px;
    border: none;
    border-radius: 10px;
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    transition: all 0.3s ease;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-bottom: 5em;
    margin-top: 1.5em;
}
.aside__button:hover
{
    background: linear-gradient(145deg, #0f6c94, #01015f);
    box-shadow: 0 12px 20px rgba(0, 0, 0, 0.5);
    transform: scale(1.1);
}
.aside__button:active 
{
    transform: scale(0.9);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.5);
}
.article4--fondo
{
    background-image: url(../imagenes/imagen\ 5.png);
    display: flex;
    flex-direction: column;
    background-repeat: no-repeat;
    background-size: cover;
}
.aside--opinion
{
    box-sizing: border-box;
    padding: 0 4% 2% 4%;
    background-color: #2e2e2eea;
}
.div__img--opinion
{
    width: 20em;
}
.p--link{
    margin: auto;
    text-decoration: none;
    color: #01015f;
    margin-bottom: 5px;
}
/* 
Aqui acaba el css del contenido. Empieza el css del footer
*/
.body__footer
{
    position: static;
    display: flex;
    flex-grow: 1;
    width: 100%;
    padding: 2% 6%;
    z-index: 10;
    overflow: hidden;
    box-sizing: border-box;
    background: radial-gradient(circle at center,  #2E2E2E, #121212);
    box-shadow: 0px 0px 40px 10px #0007;
    color: #E5E5E5;
}
.footer__Fnav , .article2__aside
{
    display: flex;
    flex-direction: row;
    flex-grow: 1;
    gap: 2em;
    justify-content: center;
}

.Fnav__seccion , .aside__seccion
{
    flex-grow: 1;
    flex: 1;
    border-radius: 2px;
}
.Fnav__seccion
{
    border-bottom: #E5E5E5 solid 2px !important;
}
.seccion__titulo
{
    text-transform: uppercase;
    font-size: medium;
    font-weight: bold;
    letter-spacing:3px;
}
@media screen and (max-width: 1300px) 
{
    .body_boton
{
    bottom: 6%;
    right: 1.8%;
    width: 3%;
    height: 6%;
}
}
@media screen and (min-height: 926px) 
{
        .body_boton
{
    bottom: 6%;
    right: 3%;
    width: 2%;
    height: 3%;
}
}
@media screen and (min-height: 1366px) 
{
        .body_boton
{
    bottom: 10%;
    right: 4%;
    width: 2%;
    height: 1%;
}
}
@media screen and (max-width: 1200px) 
{
    .header__nav
{
    gap: 10%;
}
.div__img--opinion
{
    width: 13em;
}
.article3__aside
{
flex-direction: column;
}
#textolargo
{
    margin-top: 0em;
}

}
@media screen and (min-height: 853px) 
{
            .body_boton
{
    bottom: 10%;
    right: 5%;
}
.boton--img
{
    width: 15vw;
    height: 8vh;
}
}
@media screen and (max-width: 700px) 
{
    .aside__h1
    {
        letter-spacing: 2px;
        font-size: 4em;
    }
}
@media screen and (max-width: 640px) {
    .nav__links
    {
        display: none;
    }
    .nav__boton
    {
        display: inline-block;
    }
    .logo__img
    {
        margin-left: 2em;
    }
    .footer__Fnav , .article2__aside
    {
        flex-direction: column;
    }
    .aside__h1
    {
        letter-spacing: 2px;
        font-size: 3em;
    }
    .body__article3
    {
        justify-content: center;
        align-items: center;
    }
    .article3__aside, .article4__aside
    {
        flex-direction: column;
    }
                .body_boton
{
    bottom: 10%;
    right: 4%;
}
.boton--img
{
    width: 15vw;
    height: 8vh;
}
}
@media screen and (max-width: 430px) 
{
    .aside__h1
    {
        letter-spacing: 1px;
        font-size: 2em;
    }
    .aside__p
    {
        font-size: small;
    }
            .body_boton
{
    bottom: 10%;
    right: 6%;
}
.boton--img
{
    width: 15vw;
    height: 8vh;
}
}
.no-scroll
{
    overflow: hidden;
}